Skip to Content
API ReferencePortfolio

Portfolio

getPortfolio

Returns native + ERC-20 token balances with live USD prices on EVM chains. On Solana, returns native SOL plus every non-zero SPL and Token-2022 holding (no USD valuation). On EVM only checks tokens in our registry — long-tail or newly deployed tokens will not appear.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getPortfolio",
  "params": {
    "chain": "ethereum",
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "blockHeight": 19834521
  },
  "id": 1
}
Tracked Tokens
wstETHstETHLINKMORPHODOTTONsUSDeMRE7YIELDsUSDSUSDTUSDCEIGENIOTASTRKMOVRSSVSPKFUELstLINKAPTSSS
Note
Plus the native token for each chain

Parameters

NameRequiredDescription
chainyesNetwork slug
addressyesWallet address
e.g. 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
blockHeightnoHistorical EVM block number (archive nodes only)
e.g. 19834521

Response Fields

FieldType
dataobject
addressstring
chainstring
blockHeightinteger
nativeBalancestring
nativeSymbolstring
nativePriceUsdnumber
nativeValueUsdnumber
tokensobject[]
addressstring
symbolstring
namestring
balancestring
decimalsinteger
priceUsdinteger
valueUsdnumber
totalValueUsdnumber

Supported Networks

EthereumPolygonBNB ChainOptimismBaseAvalancheArbitrumGnosisMoonbeamLineaHyperliquidBerachainMonadScrollPlasmaX LayerSolana
Try It
{
  "jsonrpc": "2.0",
  "method": "getPortfolio",
  "params": {
    "chain": "ethereum",
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "blockHeight": 19834521
  },
  "id": 1
}